Adverse Event
get
Required scopes
This endpoint requires the following scopes:
- : Login
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional
Query parameters
_prettybooleanOptional
_summarystringOptional
Responses
200
FHIR Resource Bundle
objectOptional
FHIR Resource Bundle
500
FHIR Resource OperationOutcome
get/AdverseEvent/{id}/_history
GET /fhir/AdverseEvent/{id}/_history HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{}get
Required scopes
This endpoint requires the following scopes:
- : Login
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional
Query parameters
_prettybooleanOptional
_summarystringOptional
Responses
200
FHIR Resource AdverseEvent
objectOptional
FHIR Resource AdverseEvent
500
FHIR Resource OperationOutcome
get/AdverseEvent/{id}
GET /fhir/AdverseEvent/{id} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{}delete
Required scopes
This endpoint requires the following scopes:
- : Login
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional
Responses
200
FHIR Resource AdverseEvent
objectOptional
FHIR Resource AdverseEvent
500
FHIR Resource OperationOutcome
delete/AdverseEvent/{id}
DELETE /fhir/AdverseEvent/{id} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{}get
Required scopes
This endpoint requires the following scopes:
- : Login
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
datestringOptional
locationstringOptional
location.identifierstringOptional
location.namestringOptional
reactionstringOptional
recorderstringOptional
recorder.identifierstringOptional
recorder.namestringOptional
seriousnessstringOptional
subjectstringOptional
subject.genderstringOptional
subject.addressstringOptional
subject.namestringOptional
subject.birthDatestringOptional
subject.identifierstringOptional
patientstringOptional
patient.genderstringOptional
patient.addressstringOptional
patient.namestringOptional
patient.birthDatestringOptional
patient.identifierstringOptional
typestringOptional
substance.typestringOptional
data-templatestringOptional
_countnumberOptional
_lastUpdatedstringOptional
_formatstringOptional
_offsetnumberOptional
_pagenumberOptional
_stateidstringOptional
_idstringOptional
_prettystringOptional
_summarystringOptional
_totalstringOptional
Responses
200
FHIR Resource Bundle
objectOptional
FHIR Resource Bundle
500
FHIR Resource OperationOutcome
get/AdverseEvent
GET /fhir/AdverseEvent HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{}get
Required scopes
This endpoint requires the following scopes:
- : Login
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional
versionIdstringOptional
Responses
200
FHIR Resource AdverseEvent
objectOptional
FHIR Resource AdverseEvent
500
FHIR Resource OperationOutcome
get/AdverseEvent/{id}/_history/{versionId}
GET /fhir/AdverseEvent/{id}/_history/{versionId} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{}post
Required scopes
This endpoint requires the following scopes:
- : Login
Authorizations
OAuth2passwordRequired
Token URL:
Body
objectOptional
FHIR Resource Parameters
Responses
200
FHIR Resource AdverseEvent
objectOptional
FHIR Resource AdverseEvent
500
FHIR Resource OperationOutcome
post/AdverseEvent/$validate
POST /fhir/AdverseEvent/$validate HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/fhir+json
Accept: */*
Content-Length: 2
{}{}Last updated
Was this helpful?